/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomCDATASection_H__
#define __GdomCDATASection_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomText.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomCDATASection GdomCDATASection;
typedef struct _GdomCDATASectionClass GdomCDATASectionClass;


#define GDOM_TYPE_CDATA_SECTION            (gdom_cdata_section_get_type())
#define GDOM_CDATA_SECTION(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CDATA_SECTION, GdomCDATASection))
#define GDOM_CDATA_SECTION_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CDATA_SECTION, GdomCDATASection)Class)
#define GDOM_IS_CDATA_SECTION(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CDATA_SECTION))
#define GDOM_IS_CDATA_SECTION_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CDATA_SECTION))
#define GDOM_CDATA_SECTION_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CDATA_SECTION, GdomCDATASectionClass))

typedef struct _GdomCDATASectionPrivate GdomCDATASectionPrivate;

struct _GdomCDATASection {
    GdomText parent_instance;
    GdomCDATASectionPrivate *priv;
};

struct _GdomCDATASectionClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_cdata_section_get_type (void);

G_END_DECLS

#endif /* __GdomCDATASection_H__ */
